/* (C) 2019, Andreas Huber, UniBw München LRT 1, Germany. All rights reserved. */

/*
 * Commercial license:
 *
 * To get more information about the commercial licence and the commercial use of OCPbasic and IPbasic please contact
 *      info@ocpbasic.com
 *
 * Open source license: (LGPLv3)
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 3.0 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this library;
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

/**
 * @file OCP_Timings.h
 * Header definition of the class OCP_Timings.
 *
 * @author A. Huber
 * @since 20.05.2019
 */

#ifndef OCP_TIMINGS_H
#define OCP_TIMINGS_H

#include <IPbasic/IPbasic_Timings.h>

namespace OCPbasic
{

    template <typename real>
    class OCP_Timings : public IPbasic::IPtimings<real>
    {
      public:
        /**
         * \brief OCP_Timings:
         *        Constructor of the class OCP_Timings.
         */
        OCP_Timings();

        /**
         * \brief ~OCP_Timings:
         *        Virtual destructor of the class OCP_Timings.
         */
        virtual ~OCP_Timings();

        /**
         * \brief resetTimings:
         *        Reset the timings.
         */
        virtual void resetTimings();

        /**
         * \brief printTimeings:
         *        Print the timings.
         */
        virtual void printTimeings();

        /// Time for the initialization of the OCP.
        real TimeInitializeOCP;
        /// Time for the regularization of the hessian.
        real TimeRegularizeHessian;
        /// Time for the matrix conversion of the hessian and jacobian.
        real TimeMatrixConversion;
    };

} // namespace OCPbasic

#endif // OCP_TIMINGS_H
